Loading...
Searching...
No Matches
Opm::SimpleRPTIntegerControlHandler Class Reference

Report keyword integer control handler from sequence of mnemonic strings. More...

`#include <SimpleRPTIntegerControlHandler.hpp>`

## Public Member Functions

| SimpleRPTIntegerControlHandler (std::initializer_list< const char * > keywords)
| Constructor.
RPTKeywordNormalisation::MnemonicMap | operator() (const std::vector< int > &controlValues) const
| Function call operator.

## Detailed Description

Report keyword integer control handler from sequence of mnemonic strings.

## Constructor & Destructor Documentation

## SimpleRPTIntegerControlHandler()

Opm::SimpleRPTIntegerControlHandler::SimpleRPTIntegerControlHandler | ( | std::initializer_list< const char * > | keywords | ) |

inline explicit

Constructor.

Internalises sequence of mnemonic strings from which to infer an integer control handler.

Parameters

  [in] | keywords | Mnemonic strings.

## Member Function Documentation

## operator()()

Opm::RPTKeywordNormalisation::MnemonicMap Opm::SimpleRPTIntegerControlHandler::operator() | ( | const std::vector< int > & | controlValues | ) | const

Function call operator.

Creates sequence of mnemonics along with associate integer mnemonic values.

Parameters

  [in] | controlValues | Integer control values.

Returns
  Mnemonics and their associate integer values.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/SimpleRPTIntegerControlHandler.hpp
- opm/input/eclipse/Schedule/SimpleRPTIntegerControlHandler.cpp